api_documentation: http://docs.ros.org/fuerte/api/asmach/html
authors: Jonathan Bohren
brief: Smach
bugtracker: ''
depends: ''
depends_on:
- asmach_tutorials
- multi_interface_roam
description: "\n    SMACH, which stands for 'state machine', is a task-level\n   \
  \ architecture for rapidly creating complex robot behavior. At its\n    core, SMACH\
  \ is a ROS-independent Python library to build\n    hierarchical state machines.\
  \  SMACH is a new library that takes\n    advantage of very old concepts in order\
  \ to quickly create robust\n    robot behavior with maintainable and modular code.\n\
  \  "
doc_job: doc-fuerte-linux_networking
license: BSD
maintainers: ''
metapackages:
- linux_networking
msgs: []
package_type: package
repo_name: linux_networking
repo_url: ''
srvs: []
timestamp: 1388661906.062015
url: http://ros.org/wiki/smach
vcs: svn
vcs_uri: https://code.ros.org/svn/ros-pkg/stacks/linux_networking/trunk
vcs_version: null
